------------------------------------------------------------------------
r309 | tomber | 2013-09-16 03:45:11 +0000 (Mon, 16 Sep 2013) | 4 lines
Changed paths:
   M /trunk/Bars.lua
   M /trunk/Highlights.lua
   M /trunk/Main.lua

Detect elapsed bars in the display code and remove them if they were not caught by the bar processing code.
Vehicle-related aura events now also force player aura updates (this is the probable cause for some vehicle debuffs not being detected as elapsed).
Vehicle auras now are only included in player auras when the vehicle UI is visible (this was noticeable on Timeless Isle when hitching a ride on an albatross).
Remove highlight and cooldown overlay code related to the Macaroon addon (Macaroon was replaced with Ion a while back and this code was never updated to work with Ion).
------------------------------------------------------------------------
r308 | tomber | 2013-09-12 00:43:31 +0000 (Thu, 12 Sep 2013) | 5 lines
Changed paths:
   M /trunk/Bars.lua
   M /trunk/Nest.lua
   M /trunk/Raven_Options/Options.lua

Fix problem showing multiple bars for same buff/debuff from multiple non-targeted casters.

Fix issue with pixel perfect display option when using anchor points that are not themselves pixel-aligned. Oddly, this could even happen when selecting anchor points relative to UIParent.

Increase maximum offsets from anchor points from 500 to 1000.
------------------------------------------------------------------------
r307 | tomber | 2013-09-10 21:37:39 +0000 (Tue, 10 Sep 2013) | 1 line
Changed paths:
   M /trunk/Bars.lua
   M /trunk/Cancel.lua

Change GameTooltip calls to use SetUnitAura instead of SetUnitBuff and SetUnitDebuff, in order to workaround issue with other addons hooking those functions.
------------------------------------------------------------------------
r306 | tomber | 2013-08-31 21:39:01 +0000 (Sat, 31 Aug 2013) | 8 lines
Changed paths:
   M /trunk/Bars.lua
   M /trunk/Localizations/enUS.lua
   M /trunk/Nest.lua
   M /trunk/Raven_Options/Options.lua

New options for timelines added:
1) Set percentage used to detect when icons overlap (default: 50).
2) Set horizontal and vertical offsets for the splash effect, up to 1000 pixels in each direction (default offsets = 0).
3) Set vertical offset from the anchor center for icons, most useful for horizontal timeline layouts with non-standard timeline height (default: 0).
4) Set optional vertical offset for overlapping icons, again most useful for horizontal timeline layouts (default: 0).
5) Increase maximum timeline bar width to 2000 and height to 200.

This build also cleans up some of tooltips associated with use of #12345 spell id format.
------------------------------------------------------------------------
r305 | tomber | 2013-08-30 05:56:08 +0000 (Fri, 30 Aug 2013) | 5 lines
Changed paths:
   M /trunk/Bars.lua
   M /trunk/Cancel.lua
   M /trunk/Main.lua
   M /trunk/Nest.lua
   M /trunk/Profile.lua
   M /trunk/Raven_Options/Options.lua

Add spell id, when known, to tooltip when both control and alt keys are held down at the time that cursor enters the bar/icon.
Fix merge so that tracker-type bar groups use the settings in the merge target related to headers (this is probably rarely used).
Include debuffs on player (cast by the player) in tracker-type bar groups when appropriate (removes an optimization that prevented, for example, seeing Weakened Soul on the player in debuff tracker).
Add spell name to default label for custom bars when created with Other Spell and #12345 spell id format.
Display spell name for spell list entries that use the #12345 spell id format.
------------------------------------------------------------------------
r304 | tomber | 2013-08-27 19:56:00 +0000 (Tue, 27 Aug 2013) | 3 lines
Changed paths:
   M /trunk/Main.lua
   M /trunk/Presets/General.lua

Add internal cooldowns for a variety of MoP trinkets, including the new ones from the 5.4 raid.
Detect cooldowns for spells that are known but temporarily not in the spellbook. The shaman ability Stormstrike, as modified by Ascendance, is an example and it was used to test this change.
Trigger the talent update code when changing specialization (this worked before but this change prevents one potential error condition).
------------------------------------------------------------------------
r303 | tomber | 2013-08-22 22:09:07 +0000 (Thu, 22 Aug 2013) | 1 line
Changed paths:
   M /trunk/Main.lua
   M /trunk/Profile.lua

Fix issue with spell trackers (e.g., Buff Tracker and Debuff Tracker standard bar groups) for spells with duplicated names. This was reported for Sacred Shield, which has one buff that lasts the overall duration of the spell and another that is the shorter duration shield itself. The fix required switching to use spell ids internally for indexing spell trackers and cached durations.
------------------------------------------------------------------------
r302 | tomber | 2013-08-21 23:25:02 +0000 (Wed, 21 Aug 2013) | 5 lines
Changed paths:
   M /trunk/Main.lua
   M /trunk/Nest.lua
   M /trunk/Presets/DeathKnight.lua
   M /trunk/Presets/Druid.lua
   M /trunk/Presets/Hunter.lua
   M /trunk/Presets/Mage.lua
   M /trunk/Presets/Monk.lua
   M /trunk/Presets/Paladin.lua
   M /trunk/Presets/Shaman.lua
   M /trunk/Presets/Warlock.lua
   M /trunk/Presets/Warrior.lua
   M /trunk/Profile.lua
   M /trunk/Raven.toc
   M /trunk/Raven_Options/Options.lua
   M /trunk/Raven_Options/Raven_Options.toc

Contains numerous spell updates in the presets for the 5.4 release.
Allow conditions buff time left and debuff time left to use tenths of a second for greater accuracy.
Increase maximum spell id to 155000 for 5.4 (this is only used for brute force searches when out of combat).
Change minimum bar height to 1 (used to be 5).
Update TOC to 5.4 (still works on 5.3 except for the preset spell changes).
------------------------------------------------------------------------
r301 | tomber | 2013-06-08 16:18:38 +0000 (Sat, 08 Jun 2013) | 2 lines
Changed paths:
   M /trunk/Main.lua
   M /trunk/Presets/Priest.lua

Change priest to use Flash Heal as lockout spell instead of Smite due to issues with detecting holy school lockouts in shadow spec.
Change lockout detection to require at least level 10 so most spells used for detection have already been learned.
------------------------------------------------------------------------
